/*
 * $Id: InvalidAlgorithmParameterException.java,v 1.6 1998/10/26 01:46:51 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba.security/InvalidAlgorithmParameterException.java,v $
 * $Revision: 1.6 $
 * $Date: 1998/10/26 01:46:51 $
 * $State: Exp $
 */

package au.net.aba.security;

/**
 * This exception gets thrown in the case of a algorithm parameter being
 * invalid.
 */
public class InvalidAlgorithmParameterException extends GeneralSecurityException
{
	public final static String ident = "$Id: InvalidAlgorithmParameterException.java,v 1.6 1998/10/26 01:46:51 leachbj Exp $";

	public InvalidAlgorithmParameterException()
	{
	}

	public InvalidAlgorithmParameterException(
		String	message)
	{
		super(message);
	}
}
