/*
 * $Id: InvalidKeyException.java,v 1.3 1998/10/26 01:46:12 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba.security/InvalidKeyException.java,v $
 * $Revision: 1.3 $
 * $Date: 1998/10/26 01:46:12 $
 * $State: Exp $
 */

package au.net.aba.security;

/**
 * This is the exception for invalid Keys (invalid encoding, wrong length,
 * uninitialised, etc). 
 */
public class InvalidKeyException extends KeyException
{
	public final static String ident = "$Id: InvalidKeyException.java,v 1.3 1998/10/26 01:46:12 leachbj Exp $";

	public InvalidKeyException()
	{
	}

	public InvalidKeyException(String string)
	{
		super(string);
	}
}
