/*
 * $Id: InvalidParameterException.java,v 1.2 1998/10/20 04:03:24 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba.security/InvalidParameterException.java,v $
 * $Revision: 1.2 $
 * $Date: 1998/10/20 04:03:24 $
 * $State: Exp $
 */

package au.net.aba.security;

/**
 * This exception is thrown when an invalid parameter is passed to a method. 
 */
public class InvalidParameterException extends IllegalArgumentException
{
	public final static String ident = "$Id: InvalidParameterException.java,v 1.2 1998/10/20 04:03:24 leachbj Exp $";

	public InvalidParameterException()
	{
	}

	public InvalidParameterException(String string)
	{
		super(string);
	}
}
