/*
 * $Id: InvalidKeySpecException.java,v 1.2 1998/10/20 04:03:38 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba.security/spec/InvalidKeySpecException.java,v $
 * $Revision: 1.2 $
 * $Date: 1998/10/20 04:03:38 $
 * $State: Exp $
 */

package au.net.aba.security.spec;

import au.net.aba.security.*;

public class InvalidKeySpecException extends GeneralSecurityException
{
	public final static String ident = "$Id: InvalidKeySpecException.java,v 1.2 1998/10/20 04:03:38 leachbj Exp $";

	/**
	 * Constructs an InvalidKeySpecException with no detail message. A
	 * detail message is a String that describes this particular exception. 
	 */
	public InvalidKeySpecException()
	{
	}


	/**
	 * Constructs an InvalidKeySpecException with the specified detail
	 * message. A detail message is a String that describes this particular
	 * exception. 
	 *
	 * @param msg the detail message. 
	 */
	public InvalidKeySpecException(
		String msg)
	{
		super(msg);
	}
}
