#
# $Id: destest.sh,v 1.4 1998/08/27 06:33:33 dgh Exp $
# $Author: dgh $
#
# Script for running the DES test program
#
# $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba/crypto/test/destest.sh,v $
# $Revision: 1.4 $
# $Date: 1998/08/27 06:33:33 $
# $State: Exp $
#

echo "DES ECB with padding"
java aba.test.CipherTest DES DES/ECB/PKCS5Padding "$*"
echo "DES ECB with no padding"
java aba.test.CipherTest DES DES/ECB/NoPadding "$*"
echo "DES CBC with padding"
java aba.test.CipherTest DES DES/CBC/PKCS5Padding "$*"
echo "DES CBC with no padding"
java aba.test.CipherTest DES DES/CBC/NoPadding "$*"
echo "DES CBC with padding - iv inline"
java aba.test.CipherInlineIvTest DES DES/CBC/PKCS5Padding false "$*"
echo "DES CBC with no padding - iv inline"
java aba.test.CipherInlineIvTest DES DES/CBC/NoPadding false "$*"
echo "DES CBC with padding - iv inline and encrypted"
java aba.test.CipherInlineIvTest DES DES/CBC/PKCS5Padding true "$*"
echo "DES CBC with no padding - iv inline and encrypted"
java aba.test.CipherInlineIvTest DES DES/CBC/NoPadding true "$*"
