#
# $Id: jce_tests.sh,v 1.3 1999/02/18 00:32:47 leachbj Exp $
# $Author: leachbj $
#
# Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
# All rights reserved.
# 
# Use, modification, copying and distribution of this software is subject the
# terms and conditions of the ABA Public Licence. See the file
# "PUBLIC_LICENCE" for additional information.
#
# $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba/crypto/test/jce_tests.sh,v $
# $Revision: 1.3 $
# $Date: 1999/02/18 00:32:47 $
# $State: Exp $
#

#
# Script for running all the test scripts
#

# run all the vector tests

for i in *vectest.sh sha1test.sh desmactest.sh ; do
	echo -n "$i..."
	sh $i | grep -v true
	if [ $? -eq 0 ] ; then
		echo " Failed"
	else
		echo " Succeeded"
	fi
done

sh blowfishtest.sh 1
sh blowfishtest.sh
sh desedetest.sh
sh desedetest.sh 12
sh destest.sh
sh destest.sh 12345
sh digesttest.sh SHA-0 flibble
sh digesttest.sh SHA-1 flibble
sh digesttest.sh SHA flibble
sh digesttest.sh MD5 flibble
sh ideatest.sh
sh ideatest.sh 1234
sh nulltest.sh flibble
sh rc4test.sh 128 flibble
sh rsa384test.sh flibble
sh rsa96test.sh flibble
sh rsagentest.sh 512 flibble
sh sealedobj.sh flibble
sh pbetest.sh password flibble
sh rsa_sig.sh
sh rsa_sig.sh fails

