/**
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 */
package au.net.aba.lang;

public class UnsupportedOperationException
	extends RuntimeException
{
	/**
	 * Constructs an UnsupportedOperationException with no detail message.
	 */
	public UnsupportedOperationException()
	{
	}

	/**
	 * Constructs an UnsupportedOperationException with the specified
	 * detail message.
	 */
	public UnsupportedOperationException(
		String message)
	{
		super(message);
	}
}

