/*
 * $Id: Key.java,v 1.3 1998/10/20 04:03:25 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/au.net.aba.security/Key.java,v $
 * $Revision: 1.3 $
 * $Date: 1998/10/20 04:03:25 $
 * $State: Exp $
 */

package au.net.aba.security;

import au.net.aba.io.Serializable;

/**
 * Interface defining a key.
 */
public interface Key
	extends Serializable
{
	public final static String ident = "$Id: Key.java,v 1.3 1998/10/20 04:03:25 leachbj Exp $";

	public String getAlgorithm();
	public String getFormat();
	public byte[] getEncoded();
}
