/*
 * $Id: UnrecoverableKeyException.java,v 1.3 1998/10/05 04:55:42 dgh Exp $
 * $Author: dgh $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba.security/UnrecoverableKeyException.java,v $
 * $Revision: 1.3 $
 * $Date: 1998/10/05 04:55:42 $
 * $State: Exp $
 */
package au.net.aba.security;

public class UnrecoverableKeyException extends GeneralSecurityException
{
	/**
	 * Constructs a UnrecoverableKeyException with no detail message. (A
	 * detail message is a String that describes this particular exception.)
	 */
	public UnrecoverableKeyException()
	{
	}

	/**
	 * Constructs a UnrecoverableKeyException with the specified detail
	 * message.  (A detail message is a String that describes this
	 * particular exception.)
	 *
	 * @param msg the detail message.
	 */
	public UnrecoverableKeyException(String msg)
	{
		super(msg);
	}
}
