/*
 * $Id: CRL.java,v 1.1 1999/01/19 05:14:58 wslade Exp $ 
 * $Author: wslade $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 *
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately.
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba.security/cert/CRL.java,v $
 * $Revision: 1.1 $
 * $Date: 1999/01/19 05:14:58 $
 * $State: Exp $
 
 */
package au.net.aba.security.cert;


public abstract class CRL 
{
    private String type;

	protected CRL(String type) 
	{
		this.type = type;
	}

	public final String getType() 
	{
		return type;
	}

    public abstract boolean isRevoked(Certificate cert);

    public abstract String toString();

}
