/*
 * $Id: CertificateFactorySpi.java,v 1.1 1999/01/19 05:15:01 wslade Exp $ 
 * $Author: wslade $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 *
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately.
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba.security/cert/CertificateFactorySpi.java,v $
 * $Revision: 1.1 $
 * $Date: 1999/01/19 05:15:01 $
 * $State: Exp $
 */

package au.net.aba.security.cert;

import java.io.*;
import java.security.*;
import au.net.aba.util.Collection;

public abstract class CertificateFactorySpi 
{
	private final static String ident = "$Id"; 

	public abstract Certificate engineGenerateCertificate(InputStream inStream)
	throws CertificateException;

	public abstract Collection engineGenerateCertificates(InputStream inStream)
	throws CertificateException;

	public abstract CRL engineGenerateCRL(InputStream inStream)
	throws CRLException;

	public abstract Collection engineGenerateCRLs(InputStream inStream)
	throws CRLException;
}
