/*
 * $Id: EventObject.java,v 1.3 1998/10/05 05:08:33 dgh Exp $
 * $Author: dgh $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * $Source: /aba/CVSROOT/jdk1.1/src/au.net.aba.util/EventObject.java,v $
 * $Revision: 1.3 $
 * $Date: 1998/10/05 05:08:33 $
 * $State: Exp $
 */

package au.net.aba.util;

public class EventObject
{
	protected transient Object source;

	/**
	 * Constructs a prototypical Event
	 *
	 * @param source The object that the Event occurred upon. 
	 */
	public EventObject(Object source)
	{
		this.source = source;
	}

	/**
	 * @return The object that the Event initially occurred upon.
	 */
	public Object getSource()
	{
		return source;
	}

	public String toString()
	{
		return source.toString();
	}
}
