/*
 * $Id: NoSuchPaddingException.java,v 1.2 1998/10/20 04:03:51 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/javax/crypto/NoSuchPaddingException.java,v $
 * $Revision: 1.2 $
 * $Date: 1998/10/20 04:03:51 $
 * $State: Exp $
 */

package javax.crypto;

import au.net.aba.security.*;

/**
 * This exception is thrown when a particular padding mechanism is requested
 * but is not available in the environment. 
 */
public class NoSuchPaddingException extends GeneralSecurityException
{
	public final static String ident = "$Id: NoSuchPaddingException.java,v 1.2 1998/10/20 04:03:51 leachbj Exp $";

	public NoSuchPaddingException()
	{
	}

	public NoSuchPaddingException(String string)
	{
		super(string);
	}
}
