/*
 * $Id: SecretKey.java,v 1.2 1998/10/20 04:03:52 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/javax/crypto/SecretKey.java,v $
 * $Revision: 1.2 $
 * $Date: 1998/10/20 04:03:52 $
 * $State: Exp $
 */
package javax.crypto;

import au.net.aba.security.*;

/**
 * A secret (symmetric) key. This interface contains no methods or constants.
 * Its only purpose is to group (and provide type safety for) secret keys. 
 *
 * @see Key, PublicKey, PrivateKey, SecretKeyFactory, Cipher 
 */
public interface SecretKey extends Key
{
	public final static String ident = "$Id: SecretKey.java,v 1.2 1998/10/20 04:03:52 leachbj Exp $";
}
