/*
 * $Id: ShortBufferException.java,v 1.2 1998/10/20 04:03:54 leachbj Exp $
 * $Author: leachbj $
 *
 * Copyright (C) 1996-1998 Australian Business Access Pty Ltd.
 * All rights reserved.
 * 
 * Use, modification, copying and distribution of this software is subject the
 * terms and conditions of the ABA Public Licence. See the file
 * "PUBLIC_LICENCE" for additional information.
 *
 * If you have not received a copy of the Public Licence, you must destroy all
 * copies of this file immediately. 
 *
 * $Source: /aba/CVSROOT/jdk1.0/src/javax/crypto/ShortBufferException.java,v $
 * $Revision: 1.2 $
 * $Date: 1998/10/20 04:03:54 $
 * $State: Exp $
 */

package javax.crypto;

import au.net.aba.security.*;

/**
 * This exception is thrown when an output buffer provided by the user is
 * too short to hold the operation result. 
 */
public class ShortBufferException extends GeneralSecurityException
{
	public final static String ident = "$Id: ShortBufferException.java,v 1.2 1998/10/20 04:03:54 leachbj Exp $";

	public ShortBufferException()
	{
	}

	public ShortBufferException(String string)
	{
		super(string);
	}
}
